std::chrono::operator<<(std::chrono::zoned_time)(3)

NAME
std::chrono::operator<<(std::chrono::zoned_time) - std::chrono::operator<<(std::chrono::zoned_time)

Synopsis
   Defined in header <chrono>
   template <class CharT, class Traits, class Duration, class
   TimeZonePtr>
   std::basic_ostream<CharT, Traits>& (since C++20)
   operator<<( std::basic_ostream<CharT, Traits>& os,
   const std::chrono::zoned_time<Duration, TimeZonePtr>& tp );
   Outputs tp to the stream os, as if by std::format(os.getloc(), fmt, tp), where fmt
   is "{:L%F %T %Z}" if CharT is char, or L"{:L%F %T %Z}" if CharT is wchar_t.

Parameters
   os - output stream
   tp - zoned_time to output

Return value
   os.

Example
    This section is incomplete
    Reason: no example
  Defect reports
   The following behavior-changing defect reports were applied retroactively to
   previously published C++ standards.
     DR Applied to Behavior as published Correct behavior
   P2372R3 C++20 the given locale was used by default L is needed to use the given
                        locale

See also
                        specialization of std::formatter that
   std::formatter<std::chrono::zoned_time> formats a zoned_time according to the
   (C++20) provided format
                        (class template specialization)